# eric3.Tools.TRSingleApplication

Module implementing the single application server and client.

### Classes

TRSingleApplicationClient | Class implementing the single application client of the Translations Previewer.
TRSingleApplicationServer | Class implementing the single application server embedded within the Translations Previewer.

### Functions

None

## TRSingleApplicationClient

Class implementing the single application client of the Translations Previewer.

### Derived from

SingleApplicationClient

### Methods

TRSingleApplicationClient | Constructor
processArgs | Public method to process the command line args passed to the UI.

### TRSingleApplicationClient (Constructor)

TRSingleApplicationClient()

Constructor

### TRSingleApplicationClient.processArgs

processArgs(args)

Public method to process the command line args passed to the UI.

args
  list of files to open

Up

## TRSingleApplicationServer

Class implementing the single application server embedded within the Translations Previewer.

#### Signals

loadForm(fname)
  emitted to load a form file
loadTranslation(fname, first)
  emitted to load a translation file

### Derived from

SingleApplicationServer

### Methods

TRSingleApplicationServer | Constructor
handleCommand | Public slot to handle the command sent by the client.
saLoadForm | Private method used to handle the "Load Form" command.
saLoadTranslation | Private method used to handle the "Load Translation" command.

### TRSingleApplicationServer (Constructor)

TRSingleApplicationServer(parent)

Constructor

parent
  parent widget (QWidget)

### TRSingleApplicationServer.handleCommand

handleCommand(cmd, params)

Public slot to handle the command sent by the client.

cmd
  commandstring (string)
params
  parameterstring (string)

### TRSingleApplicationServer.saLoadForm

saLoadForm(fnames)

Private method used to handle the "Load Form" command.

fnames
  filenames of the forms to be loaded (list of strings)

### TRSingleApplicationServer.saLoadTranslation

saLoadTranslation(fnames)

Private method used to handle the "Load Translation" command.

fnames
  filenames of the translations to be loaded (list of strings)

Up